//Generated by wsdl2apex

public class ParkLocator {
  public class byCountryResponse {
    public String[] return_x;
    private String[] return_x_type_info = new List<String>{
      'return',
      'http://parks.services/',
      null,
      '0',
      '-1',
      'false'
    };
    private String[] apex_schema_type_info = new List<String>{
      'http://parks.services/',
      'false',
      'false'
    };
    private String[] field_order_type_info = new List<String>{ 'return_x' };
  }
  public class byCountry {
    public String arg0;
    private String[] arg0_type_info = new List<String>{
      'arg0',
      'http://parks.services/',
      null,
      '0',
      '1',
      'false'
    };
    private String[] apex_schema_type_info = new List<String>{
      'http://parks.services/',
      'false',
      'false'
    };
    private String[] field_order_type_info = new List<String>{ 'arg0' };
  }
  public class ParksImplPort {
    public String endpoint_x = 'https://th-apex-soap-service.herokuapp.com/service/parks';
    public Map<String, String> inputHttpHeaders_x;
    public Map<String, String> outputHttpHeaders_x;
    public String clientCertName_x;
    public String clientCert_x;
    public String clientCertPasswd_x;
    public Integer timeout_x;
    private String[] ns_map_type_info = new List<String>{
      'http://parks.services/',
      'ParkLocator'
    };

    public String[] byCountry(String arg0) {
      ParkLocator.byCountry request_x = new ParkLocator.byCountry();
      request_x.arg0 = arg0;
      ParkLocator.byCountryResponse response_x;
      Map<String, ParkLocator.byCountryResponse> response_map_x = new Map<String, ParkLocator.byCountryResponse>();
      response_map_x.put('response_x', response_x);
      WebServiceCallout.invoke(
        this,
        request_x,
        response_map_x,
        new List<String>{
          endpoint_x,
          '',
          'http://parks.services/',
          'byCountry',
          'http://parks.services/',
          'byCountryResponse',
          'ParkLocator.byCountryResponse'
        }
      );
      response_x = response_map_x.get('response_x');
      return response_x.return_x;
    }
  }
}
